> ## Documentation Index
> Fetch the complete documentation index at: https://docs.adsera.in/llms.txt
> Use this file to discover all available pages before exploring further.

# List WABA

> Retrieves a list of all WhatsApp Business Accounts (WABA) associated with your company.



## OpenAPI

````yaml GET /api/pub/wa/waba/list
openapi: 3.1.0
info:
  title: AdsEra REST API
  description: >-
    Welcome to the AdsEra REST API. Use our API to integrate powerful,
    multi-channel communication (Email and WhatsApp) directly into your
    applications. Automate transactional messages, trigger marketing campaigns,
    manage your audience, and track performance programmatically.
  contact:
    name: Shubham
    email: shubham@adsera.in
  version: 1.0.0
servers:
  - url: https://app.adsera.in
    description: Production Server
security:
  - AppIdAuth: []
    AppSecretAuth: []
paths:
  /api/pub/wa/waba/list:
    get:
      tags:
        - WABA
      summary: List WABA Accounts
      description: >-
        Retrieves a list of all WhatsApp Business Accounts (WABA) associated
        with your company.
      responses:
        '200':
          description: A successful response carrying the list of WABA accounts.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WabaListResponse'
        '401':
          description: Unauthorized. The API keys are missing or invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                status: 401
                success: false
                error: 'Unauthorized: Please provide valid API credentials.'
        '500':
          description: Internal Server Error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - AppIdAuth: []
          AppSecretAuth: []
components:
  schemas:
    WabaListResponse:
      type: object
      properties:
        status:
          type: integer
          example: 200
        success:
          type: boolean
          example: true
        error:
          type: 'null'
          example: null
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/WabaAccount'
    ErrorResponse:
      type: object
      properties:
        status:
          type: integer
          example: 500
        success:
          type: boolean
          example: false
        error:
          type: string
          example: Internal Server Error!
    WabaAccount:
      type: object
      properties:
        _id:
          type: string
          description: The unique identifier for the WABA account.
          example: 60c72b2f9b1d8e001f8a1b2c
        company:
          type: string
          description: The ID of the parent company.
          example: 60c72b2f9b1d8e001f8a1b2a
        wabaId:
          type: string
        phoneId:
          type: string
        phoneNumber:
          type: string
        userID:
          type: string
        expiresIn:
          type: string
        phone:
          type: string
        name:
          type: string
        quality_rating:
          type: string
        status:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
  securitySchemes:
    AppIdAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Your application's unique ID.
    AppSecretAuth:
      type: apiKey
      in: header
      name: x-api-secret
      description: Your application's secret key.

````